> For the complete documentation index, see [llms.txt](https://docs.ndax.in/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ndax.in/v3/fix/message-component/parties.md).

# Parties

Repeating group denoting parties involved throughout the trade process:

<table><thead><tr><th width="118">Tag</th><th width="145">Name</th><th width="131">Data Type</th><th width="76">Req’d</th><th>Description</th></tr></thead><tbody><tr><td>453</td><td>NoPartyIDs</td><td>NumInGroup</td><td>Y</td><td>Number of parties in this repeating group.</td></tr><tr><td>448</td><td>PartyID</td><td>String</td><td>Y</td><td>Unique identifier for this party.</td></tr><tr><td>452</td><td>PartyRole</td><td>Int</td><td>Y</td><td>The role of this party.<br>Supported values:<br><code>3</code> = Client ID</td></tr><tr><td>447</td><td>PartyIDSource</td><td>Char</td><td>Y</td><td>The source of this party.<br>Supported values:<br><code>C</code> = Generally accepted market participant identifier</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ndax.in/v3/fix/message-component/parties.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
